RDF::Trine::Parser::LineProtocol(3pm)

NAME
RDF::Trine::Parser::LineProtocol - RDF LineProtocol Parser

VERSION
This document describes RDF::Trine::Parser::LineProtocol version 1.019

SYNOPSIS
 use RDF::Trine::Parser::LineProtocol;
 my $serializer = RDF::Trine::Parser::LineProtocol->new();

DESCRIPTION
The RDF::Trine::Parser::LineProtocol class provides A line-based protocol for querying and updating triple/quad stores.

METHODS

"handle_op ( $op, $handler, $lineno )"
    Handles the RDF::Trine::Parser::RDFPatch::Op operation object. For 'A'dd operations, the $handler callback is called with the RDF statement. Otherwise an exception is thrown.

"parse_line ( $line, $base )"
    Parses the Line Protocol string $line and returns the corresponding RDF::Trine::Parser::RDFPatch::Op object.

"execute_line ( $line, $model, $out )"
    Parses the Line Protocol string $line and executes the parsed operation using the supplied $model. If the operation returns results (in the case of a Query operation), they are printed to the $out file handle.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://afs.github.io/rdf-patch/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.